#include <stdio.h>

// Jan Potocki 2020

unsigned long fibb(unsigned long n);

int main()
{
	unsigned long term, result;

	scanf("%lu", &term);
	result = fibb(term);
	printf("%lu\n", result);

	return 0;
}
